Improve/investigate solutions for the Flow botspam
Closed, ResolvedPublic

Description

There is a recent problem with spam, primarily on mediawiki.org - e.g. https://www.mediawiki.org/w/index.php?title=Special:RecentChanges&limit=250
The bots generally start off with 1 or 2 short nonsensical or autogenerated posts - e.g. "can i use very daily", "gdsfgfdgd", "this for side avoik", "can you help to choose catagory?", "this horse not listen our", etc.

Then they start the spam-posts - e.g. https://www.mediawiki.org/w/index.php?title=Topic:Sr7bc86hgw8bw34x&topic_postId=sr7bc873ambemp5t&topic_revId=sr7bc873ambemp5t&action=single-view and https://www.mediawiki.org/w/index.php?title=Topic:Sr5n47ab90qcpnsw&topic_postId=sr5n47anq07jf5j4&topic_revId=sr5n47anq07jf5j4&action=single-view

There's an active abusefilter which is catching a bit of it, but not all:

The same bots are also hitting non-Flow pages, but not nearly as much. e.g. https://meta.wikimedia.org/w/index.php?title=Category_talk:Communication&curid=13058&diff=14224734&oldid=163254 and https://meta.wikimedia.org/w/index.php?title=User_talk:Billinghurst&curid=144231&diff=14223216&oldid=14196597


Related tasks:

(and lower priority)

Quiddity created this task.Oct 21 2015, 6:33 PM
Quiddity updated the task description. (Show Details)
Quiddity raised the priority of this task from to High.
Quiddity assigned this task to matthiasmullie.
Quiddity added subscribers: Quiddity, Trizek-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 21 2015, 6:33 PM
Legoktm renamed this task from Improve/investigate solutions for the botspam to Improve/investigate solutions for the Flow botspam.Oct 21 2015, 8:02 PM
Legoktm set Security to None.
Legoktm added a subscriber: hoo.
Quiddity updated the task description. (Show Details)Oct 21 2015, 8:48 PM
greg added a subscriber: greg.Oct 22 2015, 4:30 PM
Quiddity raised the priority of this task from High to Unbreak Now!.Oct 22 2015, 5:54 PM

Raising priority per discussion in standup

Stryn added a subscriber: Stryn.Oct 22 2015, 7:31 PM

Matthias and I wrote https://www.mediawiki.org/wiki/Special:AbuseFilter/43 . It's currently just on "Prevent the user from performing the action in question" and flag.

https://gerrit.wikimedia.org/r/#/c/248117/ will hopefully also help with this. It adds a ping-limiter. Currently it uses the standard 'edit' limiter, which is configured to 8/minute on MediaWiki.org.

However, this can be changed on a per-wiki basis, and if needed, we can make a separate limit for Flow (e.g. we can require them to be both below the overall 'edit' limit and a 'flow' limit, if desired).

Also added https://www.mediawiki.org/wiki/Special:AbuseFilter/44, which should stop most keyboard-smashing input. Clusters of multiple consecutive consonants/vowels are considered suspicious. E.g. "lkasdjkhg"

Found some spam on frwp. I'll investigate to see if there is spam elsewhere.

Glaisher updated the task description. (Show Details)Oct 27 2015, 12:27 PM
Jay8g added a subscriber: Jay8g.Oct 27 2015, 4:52 PM
Mattflaschen-WMF lowered the priority of this task from Unbreak Now! to High.Nov 20 2015, 6:01 PM

We're still working on this (and fixes have already been merged), but I don't think it's UBN any more. Correct me if I'm wrong, and the symptoms are still severe in production right now.

Mattflaschen-WMF removed Mattflaschen-WMF as the assignee of this task.Nov 20 2015, 6:04 PM
Restricted Application added a subscriber: JEumerus. · View Herald TranscriptJan 14 2016, 5:55 PM
jmatazzoni closed this task as Resolved.Apr 11 2016, 11:27 PM